summaryrefslogtreecommitdiff
path: root/tests/tstunt
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tstunt')
-rwxr-xr-xtests/tstunt/dgit9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/tstunt/dgit b/tests/tstunt/dgit
new file mode 100755
index 0000000..3a9751d
--- /dev/null
+++ b/tests/tstunt/dgit
@@ -0,0 +1,9 @@
+#!/bin/bash
+# NB This requires use of t-chain-test-somehow.
+set -ex
+oldpwd=$(pwd)
+cd "$DGIT_TEST_TROOT/.."
+. tests/lib
+cd "$oldpwd"
+trap '' EXIT # preserves our exit status
+t-dgit "$@"